Skip to main content
GET
/
schedule
/
v1
/
employees
/
{employeeId}
/
entity-schedule-templates
List employee's entity schedule templates
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/employees/{employeeId}/entity-schedule-templates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<string>",
      "current": true,
      "entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "entityType": "employee",
      "startDate": "2025-01-01",
      "endDate": "2025-12-31",
      "scheduleTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scheduleTemplate": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "createdAt": "<string>"
      }
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

employeeId
string<uuid>
required

Employee ID

Response

200 - application/json

List of entity to schedule templates

data
object[]
meta
object